﻿$epicprocess = "EpicGamesLauncher"
 
#find epic process if running, and close it
$process = get-process -Name $epicprocess -ErrorAction SilentlyContinue
 
if ($process)
{
    Stop-Process $process
 
    if ($?)
    {
        Write-Output "Stopping $($process.Name) process..."
    }
 
}
else
{
    Write-Output "$($epicprocess) process not running..."
}

$ErrorActionPreference = 'Stop';

$packageName= 'epicinstaller'
$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$url        = "https://epicgames-download1.akamaized.net/Builds/UnrealEngineLauncher/Installers/Win32/EpicInstaller-9.11.2.msi"

$packageArgs = @{
  packageName   = $packageName
  unzipLocation = $toolsDir
  fileType      = 'MSI'
  url           = $url

  softwareName  = 'epicgameslauncher*'

  checksum      = 'E88123CC35C89046BB72E9C9A93147E4479D96AE0E86D06CE62B5CA1E5C72868'
  checksumType  = 'sha256'

  silentArgs    = "/qn /norestart /l*v `"$($env:TEMP)\$($packageName).$($env:chocolateyPackageVersion).MsiInstall.log`""
  validExitCodes= @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs